2019-12-15 21:31 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001476FSSCP---------public2008-01-16 10:56
ReporterKeldorKatarn 
Assigned ToBackslash 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001476: set-object-speed-x,y,z are broke - ships don't move
Descriptionset-object-speed-x,y,z do not work as intended. The set speed appears in the target's overview when targetted but the ship doesn't move an inch.

Thus creating an every-time ( true ) event setting the object x,y,z speeds, lets say for animations, doesn't do anything.

This used to work before so I think this must have been broken in the last few months.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008417

KeldorKatarn (reporter)

Last edited: 2007-08-27 09:25

correction.. the ships move.. depending on where they are facing and whether subjective or objective direction is used...but they move far from where they should.. I think the AI overrides this SEXP which shouldn't happen.. see uploaded picture

~0008431

Turey (developer)

the picture doesn't really help. Could you give a numerical example?

~0008434

KeldorKatarn (reporter)

Backslash and I will look into the code.. giving a representation of the current functionality of these SEXPs is difficult because we are not really sure what happens at the moment.. we will look into it and probably try to fix this bug ourselves and then report back.
I'll ask Backslash to make this issue assigned to him.

~0008814

Backslash (developer)

Very weird. Turns out objective mode works properly. However, if it is in a direction that the ship considers 'forward', it only works if $use newtonian dampening: is set to YES . Took me a long time to figure that little twist out.
Subjective mode (with the second argument set to true) doesn't work in the directions one would expect. I'm trying to figure out the pattern.

Also, at least in the case of capships, they completely ignore their $Damp values when this sexp is applied to them when stationary. This could be a separate issue involving the physics while being stationary.

~0008815

Backslash (developer)

ROFL! Would you believe it was a simple swapping of rotate and unrotate in the original sexp code? Thanks to Keldor's suggestion of an idea he didn't think would do what was needed, it now works as expected! Committed! Fixed! Hooray!

Forget what I said about capships, it was a table error.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-25 16:36 KeldorKatarn New Issue
2007-08-25 19:13 taylor Category OpenGL => ---------
2007-08-27 09:22 KeldorKatarn Note Added: 0008417
2007-08-27 09:22 KeldorKatarn File Added: set-object-speed-problem.jpg
2007-08-27 09:25 KeldorKatarn Note Edited: 0008417
2007-08-31 01:10 Turey Note Added: 0008431
2007-08-31 01:28 KeldorKatarn Note Added: 0008434
2007-08-31 02:10 taylor Status new => assigned
2007-08-31 02:10 taylor Assigned To => Backslash
2008-01-16 00:30 Backslash Note Added: 0008814
2008-01-16 10:56 Backslash Status assigned => resolved
2008-01-16 10:56 Backslash Fixed in Version => 3.6.10
2008-01-16 10:56 Backslash Resolution open => fixed
2008-01-16 10:56 Backslash Note Added: 0008815
+Issue History